Skip to main content
GET
/
instances
/
types
List available instance types
curl --request GET \
  --url https://runcrate.ai/api/v1/instances/types \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "<string>",
      "gpu_type": "<string>",
      "gpu_count": 123,
      "cpu_cores": 123,
      "memory_gb": 123,
      "storage_gb": 123,
      "region": "<string>",
      "hourly_rate": 123,
      "deployment_type": "<string>"
    }
  ],
  "meta": {
    "cursor": "<string>",
    "hasMore": true,
    "total": 123,
    "requestId": "<string>"
  }
}

Documentation Index

Fetch the complete documentation index at: https://runcrate.ai/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Use a Runcrate API key with the rc_live_* prefix as the bearer token. Create one at https://www.runcrate.ai/dashboard/api-keys.

Query Parameters

gpu_type
string
region
string
gpu_count
integer

Response

200 - application/json

Instance types sorted by price ascending.

data
object[]
required
meta
object

Pagination metadata on list responses.